#!/bin/bash

cwd=`pwd`

./build_BASIN-config.sh $cwd/include $cwd/lib $visit_dir
if [ ! -d ./bin ]; then
    mkdir bin
fi
mv BASIN-config $cwd/bin/

# Build an environment script for bash
echo -e "export basin_bin=$cwd \n
export LD_LIBRARY_PATH=\$basin_bin/lib:\$LD_LIBRARY_PATH" > basin_env.sh

# Build an environment script for tcsh
echo -e "setenv basin_bin $cwd \n
setenv LD_LIBRARY_PATH \$basin_bin/lib" > basin_env.csh

